cmake_minimum_required(VERSION 3.20)
project(newfoolib VERSION 1.0.0 LANGUAGES CXX)

include(GNUInstallDirs)

find_package(ament_cmake REQUIRED)

add_library(${PROJECT_NAME} src/source.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}-${PROJECT_VERSION}>
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION 0)
install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME}-${PROJECT_VERSION})

ament_export_targets(${PROJECT_NAME})

ament_package(CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/newfoolib)

